Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.gui
Class ManageMonitors

    java.lang.Object
      avrora.gui.ManageMonitors

public class ManageMonitors
extends java.lang.Object

This class manages the dialog boxes for adding a monitor to the simulator. It uses `GUIDefaults` to get a list of the monitors and several functions inside `AvroraGUI` for actually adding visual panels when necessary.

There is depracated code here for a "Manage Monitor" button. Currently, we instead manage monitors using the top menu bar instead of a special button.

Constructor Summary
`ManageMonitors()`

Method Summary
`boolean` | `checkAndDispatch(java.awt.event.ActionEvent e)` This function checks if an event was caused by this panel.
`static ManageMonitors` | `createManageMonitors()` This should be called during the GUI init in order to have "slots" for the various dialog boxes.
`void` | `createMonitorsDialog()` This creates a dialog box that displays a choice of monitors to add.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ManageMonitors

    public ManageMonitors()

Method Detail

### createManageMonitors

    public static ManageMonitors createManageMonitors()

  This should be called during the GUI init in order to have "slots" for the various dialog boxes. This function use to be more useful back before monitor management was handled by the menu bar (we use to have to declare visual components here Really, this is only here to be consistent with the other Manage* class files - all are inited in the same way

  Returns:
    An instance of this class (used to create dialogs)

### createMonitorsDialog

    public void createMonitorsDialog()

  This creates a dialog box that displays a choice of monitors to add. It is assumed that the user has already used the topology window to select specific nodes that the monitors will be added to

### checkAndDispatch

    public boolean checkAndDispatch(java.awt.event.ActionEvent e)

  This function checks if an event was caused by this panel. If so, it reacts to it. This will be called by AvroraGui, the global listener for all events

  Returns:
    true if this panel was the cause of the event, false otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD